### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-site-header/ecl-site-header-environment/ecl-site-header-environment.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterViewInit`

### Metadata

selector | `[eclSiteHeaderEnvironment]`
styles | `:host { position: absolute; width: 100%; font-size: 1.3rem; padding: 0.3rem; opacity: 0.6; text-align: center; transform: rotate(-10deg); } @media print { :host { display: none; } }`

template

    <ng-content></ng-content>

### Index

###### Methods

- getCssClasses

###### Inputs

- class
- e2eAttr

###### HostBindings

- class

###### Accessors

- cssClasses

### Constructor

`constructor(el: ElementRef)`

Parameters :

Name | Type | Optional
el | `ElementRef` | No

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class
Type : `any`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""